using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class AstralBow : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Astral Bow";
			item.damage = 51;
			item.noMelee = true;
			item.ranged = true;
			item.width = 35;
			item.height = 87;
			item.toolTip = "Converts arrows to a burst of rapid shadow bolts.";
			item.toolTip2 = "Uses only 1 arrow.";
			item.useTime = 25;
			item.useAnimation = 25;
			item.useStyle = 5;
			item.useAmmo = 1;
			item.shoot = 121;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 9;
			item.useSound = 21;
			item.autoReuse = true;
			item.shootSpeed = 3;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreCaelum", 20);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int ShotAmt = 2;
            int spread = 15; 
            float spreadMult = 0.12f;

			Vector2 vector2 = new Vector2();
			
			for(int i = 0; i < ShotAmt; i++)
            {
                float vX = 8*speedX+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
                float vY = 8*speedY+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
				
				float angle = (float)Math.Atan(vY/vX);
				vector2 = new Vector2(position.X+35f*(float)Math.Cos(angle), position.Y+35f*(float)Math.Sin(angle));
				float mouseX = (float)Main.mouseX + Main.screenPosition.X;
				if(mouseX < player.position.X)
				{
					vector2 = new Vector2(position.X-35f*(float)Math.Cos(angle), position.Y-35f*(float)Math.Sin(angle));
				}

                int proj = Projectile.NewProjectile(vector2.X,vector2.Y,vX,vY,121,damage,knockBack,Main.myPlayer);
				Main.projectile[proj].penetrate = -1;
            }
            return false;
        }
    }
}