using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class BowOfGrass : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Bow of Grass";
			item.damage = 61;
			item.noMelee = true;
			item.ranged = true;
			item.width = 50;
			item.height = 120;
			item.toolTip = "Converts arrows to stingers";
			item.toolTip2 = "Uses only 1 arrow.";
			item.useTime = 25;
			item.useAnimation = 25;
			item.useStyle = 5;
			item.useAmmo = 1;
			item.shoot = 374;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 9;
			item.scale = 0.6f;
			item.useSound = 17;
			item.autoReuse = true;
			item.shootSpeed = 12f;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreFerus", 20);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int ShotAmt = 1;

			Vector2 vector2 = new Vector2();
			float angle = (float)Math.Atan(speedY/speedX);
			vector2 = new Vector2(position.X+10f*(float)Math.Cos(angle), position.Y+10f*(float)Math.Sin(angle));
			Vector2 nextProjPos = new Vector2();
			
			for(int i = -ShotAmt; i < ShotAmt; i++)
			{
				nextProjPos = new Vector2(vector2.X+(float)i*8f*(float)Math.Cos(angle+((float)Math.PI/2f)), vector2.Y+(float)i*8f*(float)Math.Sin(angle+((float)Math.PI/2f)));
				int proj = Projectile.NewProjectile(nextProjPos.X,nextProjPos.Y,speedX,speedY,374,damage,knockBack,Main.myPlayer);
				Main.projectile[proj].friendly = true;
			}
            return false;
        }
    }
}