using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class CursedFlameRing : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Cursed flame ring";
			item.damage = 81;
			item.noMelee = true;
			item.magic = true;
			item.width = 19;
			item.height = 38;
			item.toolTip = "Creates a ring of cursed flames.";
			item.useTime = 30;
			item.mana = 10;
			item.useAnimation = 30;
			item.useStyle = 5;
			item.shoot = 96;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 9;
			item.useSound = 34;
			item.autoReuse = false;
			item.shootSpeed = 7;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreFerus", 20);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int ShotAmt = 2;
			position.X = Main.mouseX + Main.screenPosition.X;
			position.Y = Main.mouseY + Main.screenPosition.Y;
			
			for(int i = -ShotAmt; i < ShotAmt; i++)
            {
                int proj = Projectile.NewProjectile(position.X+i*20f,position.Y,0f,-5f,type,damage,knockBack,Main.myPlayer);
				Main.projectile[proj].ownerHitCheck = true;
				Main.projectile[proj].timeLeft = 40;
				proj = Projectile.NewProjectile(position.X+i*20f,position.Y-200f,0f,5f,type,damage,knockBack,Main.myPlayer);
				Main.projectile[proj].ownerHitCheck = true;
				Main.projectile[proj].timeLeft = 40;
				proj = Projectile.NewProjectile(position.X+i*20f,position.Y,-20f+(float)Main.rand.Next(40),-5f-(float)Main.rand.Next(20),95,damage/2,knockBack,Main.myPlayer);
				Main.projectile[proj].friendly = true;
			}
            return false;
        }
    }
}