using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class OpticBlade : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Optic Blade";
        item.damage = 196;
        item.melee = true;
		item.useTurn = true;
        item.width = 80;
        item.height = 98;
        item.toolTip = "Does more damage at random.";
		item.toolTip2 = "50% chance to shoot Razor blades.";
        item.useTime = 20;
        item.useAnimation = 20;
        item.useStyle = 1;
		item.shootSpeed = 6f;
		item.shoot = 409;
        item.knockBack = 6;
        item.value = 10000;
        item.rare = 10;
        item.useSound = 1;
        item.autoReuse = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreLunar", 30);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }

    public override void MeleeEffects(Player player, Rectangle hitbox)
    {
		float hitboxCenterX = (hitbox.Left+hitbox.Right)/2;
		float hitboxCenterY = (hitbox.Top+hitbox.Bottom)/2;
		float speedX = hitboxCenterX-player.position.X;
		float speedY = hitboxCenterY-player.position.Y;
		Dust.NewDust(new Vector2(hitboxCenterX,hitboxCenterY), 1, 1, 68, speedX/10, speedY/10, 12,default(Color),1.5f);
		Dust.NewDust(new Vector2(hitboxCenterX,hitboxCenterY), 1, 1, 68, speedX/11, speedY/11, 12,default(Color),2f);

    }
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
    {
		if(Main.rand.Next(2) == 1)
		{
			Projectile.NewProjectile(position.X, position.Y, speedX, speedY, 409, damage, knockBack, Main.myPlayer);
		}
		return false;
	}
	
    public override void ModifyHitNPC(Player player, NPC target, ref int damage, ref float knockback, ref bool crit)
    {
        //target.AddBuff(30, 10);
		if(Main.rand.Next(5) == 2)
		{
			damage += 150 + Main.rand.Next(600);
		}
    }
}}