using Terraria;
using System;
using System.Diagnostics;
using Microsoft.Xna.Framework;

using Terraria.ModLoader;

namespace AeonsOfTerraria.Items
{
    public class ShineAmi : ModItem
    {
	    public override void SetDefaults()
		{
			item.name = "Shineami";
			item.damage = 16;
			item.noMelee = true;
			item.ranged = true;
			item.width = 40;
			item.height = 61;
			item.toolTip = "Shoots double arrows.";
			item.useTime = 21;
			item.useAnimation = 21;
			item.useStyle = 5;
			item.useAmmo = 1;
			item.shoot = 1;
			item.knockBack = 6;
			item.value = 10000;
			item.rare = 4;
			item.useSound = 5;
			item.autoReuse = true;
			item.shootSpeed = 8;
		}
		
		public override void AddRecipes()
		{
			ModRecipe recipe = new ModRecipe(mod);
			recipe.AddIngredient(null, "TrueCoreFortis", 10);
			recipe.SetResult(this);
			recipe.AddRecipe();
		}
		
		public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
        {
            int ShotAmt = 2;
            int spread = 10; 
            float spreadMult = 0.11f;

			Vector2 vector2 = new Vector2();
			
			for(int i = 0; i < ShotAmt; i++)
            {
                float vX = speedX+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
                float vY = speedY+(float)Main.rand.Next(-spread,spread+1) * spreadMult;
				
				float angle = (float)Math.Atan(vY/vX);
				vector2 = new Vector2(position.X+Main.itemTexture[mod.ItemType("ShineAmi")].Width*(float)Math.Cos(angle), position.Y+Main.itemTexture[mod.ItemType("ShineAmi")].Width*(float)Math.Sin(angle));
				float mouseX = (float)Main.mouseX + Main.screenPosition.X;
				if(mouseX < player.position.X)
				{
					vector2 = new Vector2(position.X-Main.itemTexture[mod.ItemType("ShineAmi")].Width*(float)Math.Cos(angle), position.Y-Main.itemTexture[mod.ItemType("ShineAmi")].Width*(float)Math.Sin(angle));
				}

                Projectile.NewProjectile(vector2.X,vector2.Y,vX,vY,type,damage,knockBack,Main.myPlayer);
            }
            return false;
        }
    }
}