using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreLunar : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Lunar)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("How could it reach Earth?");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SolarFlareHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SolarFlareBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SolarFlareLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.VortexHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.VortexBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.VortexLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.NebulaHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.NebulaBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.NebulaLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.StardustHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.StardustBreastplate);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.StardustLeggings);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SolarFlarePickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LunarHamaxeSolar);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.VortexPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LunarHamaxeVortex);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.NebulaPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LunarHamaxeNebula);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.StardustPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LunarHamaxeStardust);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WingsSolar);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WingsVortex);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WingsNebula);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.WingsStardust);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Meowmere);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.Terrarian);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.StarWrath);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.SDMG);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.FireworksLauncher);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LastPrism);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LunarFlareBook);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.RainbowCrystalStaff);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.MoonlordTurretStaff);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();		

    }
}}