using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class VampireSpear : ModItem
{
	
    public override void SetDefaults()
    {
		item.name = "Vampire Spear";
		item.useStyle = 5;
		item.useAnimation = 32;
		item.useTime = 32;
		item.shootSpeed = 1.4f;
		item.knockBack = 6.5f;
		item.rare = 9;
		item.width = 100;
		item.height = 100;
		item.damage = 100;
		item.scale = 1.5f;
		item.useSound = 1;
		item.shoot = mod.ProjectileType("VampireSpear");
		item.value = 1000;
		item.noMelee = true;
		item.noUseGraphic = true;
		item.melee = true;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreFerus", 20);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
    {
		float angle = (float)Math.Atan(speedY/speedX);
		Vector2 projPos = new Vector2(position.X+player.direction*5f*(float)Math.Cos(angle), position.Y+player.direction*5f*(float)Math.Sin(angle));
        Projectile.NewProjectile(projPos.X, projPos.Y,speedX, speedY,type,damage,knockBack,Main.myPlayer);
        return false;
    }
}}