using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Projectiles {
public class GravityDistorter : ModProjectile
{
	
	public override void SetDefaults()
	{
		projectile.name = "Gravity Distorter";
		projectile.width = 15;
		projectile.height = 15;
		projectile.aiStyle = -1;
		projectile.friendly = true;
		projectile.light = 1.6f;
		projectile.alpha = 100;
		projectile.magic = true;
		projectile.timeLeft = 40;
	}
	
	public override void Kill(int timeLeft)
	{
		for(int i = 0; i < 3; i++)
		{
			for(int f = 0; f < 360; f += 36)
			{
				Vector2 scythePos = new Vector2(projectile.position.X + (float)i*10*(float)Math.Cos(f), projectile.position.Y + (float)i*10*(float)Math.Sin(f));
				Projectile.NewProjectile(scythePos.X, scythePos.Y, projectile.velocity.X/4f, projectile.velocity.Y/4f, 45, projectile.damage, 0.0f, projectile.owner,0f,0f);
				int par = Dust.NewDust(new Vector2(scythePos.X+(float)Main.rand.Next(20), scythePos.Y+(float)Main.rand.Next(20)), 1, 1, 69, (float)Main.rand.Next(10), (float)Main.rand.Next(10), 12,default(Color),1.5f);
				Main.dust[par].noGravity = true;
				par = Dust.NewDust(new Vector2(scythePos.X+(float)Main.rand.Next(20), scythePos.Y+(float)Main.rand.Next(20)), 1, 1, 52, (float)Main.rand.Next(10), (float)Main.rand.Next(10), 12,default(Color),2.0f);
				Main.dust[par].noGravity = true;
				Main.PlaySound(2,(int)scythePos.X,(int)scythePos.Y,20);	
			}

		}
	}
	
	public override bool PreDraw(SpriteBatch spriteBatch, Color lightColor)
	{
		for(int i = 0; i < 2; i++)
		{
			int par = Dust.NewDust(new Vector2(projectile.position.X-5+(float)Main.rand.Next(15), projectile.position.Y-5+(float)Main.rand.Next(15)), 1, 1, 69, 0f, 0f, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;
			par = Dust.NewDust(new Vector2(projectile.position.X-5+(float)Main.rand.Next(15), projectile.position.Y-5+(float)Main.rand.Next(15)), 1, 1, 52, 0f, 0f, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;		
		}
		return true;		
	}
}	
}