using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Projectiles {
public class LifeMissile : ModProjectile
{
	
	public override void SetDefaults()
	{
		projectile.name = "Life Missile";
		projectile.width = 15;
		projectile.height = 15;
		projectile.aiStyle = -1;
		projectile.friendly = true;
		projectile.light = 0.8f;
		projectile.alpha = 100;
		projectile.magic = true;
	}
	
	public override void OnHitNPC(NPC target, int damage, float knockback, bool crit)
	{
		int newLife = Main.rand.Next(damage/3) + 5;
		Main.player[projectile.owner].statLife += newLife;
		Main.player[projectile.owner].HealEffect(newLife);
	}
	
	public override bool PreDraw(SpriteBatch spriteBatch, Color lightColor)
	{
		for(int i = 0; i < 2; i++)
		{
			int par = Dust.NewDust(new Vector2(projectile.position.X-5+(float)Main.rand.Next(15), projectile.position.Y-5+(float)Main.rand.Next(15)), 1, 1, 12, 0f, 0f, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;
			par = Dust.NewDust(new Vector2(projectile.position.X-5+(float)Main.rand.Next(15), projectile.position.Y-5+(float)Main.rand.Next(15)), 1, 1, 19, 0f, 0f, 12,default(Color),1.3f);
			Main.dust[par].noGravity = true;		
		}
		return true;		
	}
}	
}